@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.cdnfonts.com/css/satoshi');
@import url('https://fonts.cdnfonts.com/css/anthoni-signature');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Satoshi', sans-serif;
}

/* Base Styles */

.main-font-color{
    color: #AB8E68;
}

.btn-primary {
    background-color: #AB8E68;
    border: none;
    color: #fff;
    padding: 8px 16px;
    border-radius: 9px;
    font-size: 16px;
    cursor: pointer;

    &:hover {
        background-color: #987342;
    }
}

.btn-secondary {
    background-color: #101828;
    border: none;
    color: #fff;
    padding: 8px 16px;
    border-radius: 9px;
    font-size: 16px;
    cursor: pointer;

    &:hover {
        background-color: #987342;
    }
}

.section-title {
    color: #AB8E68;
    font-size: 36px;
    font-weight: 500;
}

.section-subtitle {
    color: #AB8E68;
    font-size: 14px;
    font-weight: 500;
}

.section-paragraph {
    color: #000;
    font-size: 16px;
    font-weight: 400;
}

.special-text span {
    font-family: 'Anthoni Signature', sans-serif;
    font-size: 56px;
    font-weight: 500;
    color: #AB8E68;
}


/* Navbar Start */

.navbar-section {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);

    .nav-link {
        color: #101828;
        font-size: 16px;

        &:hover {
            color: #AB8E68;
        }
    }

    .nav-link.active {
        color: #AB8E68;
        background-color: transparent;
    }
}

.sticky-navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #fff;
    z-index: 999;
}

/* Navbar End */

/* Header Start */

.header-section {
    height: calc(100vh - 82px);
    width: 100%;

    .carousel-caption {
        right: 5%;
        bottom: 0.25rem;
        left: 5%;

        h1 {
            font-size: 2rem;
        }

        .carousel-backdrop {
            background-color: rgba(0, 0, 0, 0.4);
            border-radius: 20px;
        }
    }

    .fade-carousel {
        opacity: 0;
        visibility: hidden;
        transition: opacity 1.2s ease-in-out, visibility 1s ease-in-out;
    }

    .fade-carousel.show {
        opacity: 1;
        visibility: visible;
    }


    .image-container {

        width: 100%;
        height: 100%;

        h1,
        p {
            color: #fff;
        }
    }
}

/* Header End */


/* About Start */

.about-section {

    .feature-icon-small h2 {
        font-size: 48px;
        color: #AB8E68;
    }

    .section-paragraph {
        max-width: 600px;
    }

    .about-img {
        --f: 1.15;
        /* the scale factor */

        clip-path: inset(0);
        transition: .4s;
        height: 500px;

        &:hover {
            clip-path: inset(calc((1 - 1/var(--f)) * 50%));
            scale: var(--f)
        }
    }
}

/* About End */

/* Property Start */

.property-section {
    height: 500px;
}

/* Property End */

/* Reach out Start */

.reach-out-section {
    height: 300px;
    background: url('../img/reach-out-bg.jpg') no-repeat center center/cover;
    margin-bottom: 100px;

    .container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100%;

        .btn {
            border-radius: 4px;
        }
    }
}

/* Footer Start */

footer {
    background-color: #000;
    color: #fff;

    a.nav-link {
        color: #fff;

        &:hover {
            color: #AB8E68;
        }
    }

    input.newsletter-input {
        background-color: #101828;
        border: none;
        color: #fff;
        padding: 8px 16px;
        border-radius: 9px;
        cursor: pointer;

        &::placeholder {
            color: #fff;
        }
    }

    button {
        width: 100%;
    }
    
    .social-links {
        display: flex;
        align-items: center;
        margin-top: 30px;
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 10px;
    }

    .social-links a {
      display: inline-block;
      transition: transform 0.3s ease;
    }

    .social-links a:hover {
      transform: scale(1.2);
    }

    .social-icon {
      width: 40px;
      height: 40px;
    }
    
    .social-icon.youtube{
       width: 50px;
    }
}

/* Footer End */

/* ============================================ */
/* --------------- About Page -------------- */
/* ============================================ */

/* About Hero Section */

.about-header {
    .carousel-caption {
        bottom: 30%;
    }
}

.who-we-are-section {
    h2 {
        font-size: 56px;
        font-weight: 500;
        line-height: 70px;
    }

    .section-paragraph {
        font-size: 20px;
        font-weight: 400;
    }


    .img-div {
        width: 100%;
        height: 600px;

        .dubai-img {
            width: 245px;
            height: 333px;
            border-radius: 150px 150px 0 0;
            right: 0;
            bottom: 100px;
        }
    }

    .p-title {
        font-size: 24px;
        font-weight: 500;
        line-height: 32px;
        color: #101828;
    }

    .dubai-text {
        position: absolute;
        bottom: -15px;
        left: 30%;
        transform: translate(-50%, -50%);
    }

    .content-div {
        padding: 0 25px 100px 100px;
    }
}

/* About Hero Section End */

/* Properties Section */

.properties-section {

    background-color: #000000;
    color: #fff;

    .properties-title {
        font-size: 46px;
        font-weight: 400;
    }

    span {
        color: #AB8E68;
    }

    .properties-subtitle {
        font-size: 20px;
        font-weight: 400;


    }

    .properties-container {

        >div>div {
            height: 500px;

            img {
                width: 100%;
                height: 80%;
                object-fit: cover;

                --f: 1.15;
                /* the scale factor */

                clip-path: inset(0);
                transition: .4s;

                &:hover {
                    clip-path: inset(calc((1 - 1/var(--f)) * 50%));
                    scale: var(--f)
                }
            }



            .img-text {
                padding: 20px 0;
                display: flex;
                justify-content: space-between;

                .img-text-title {
                    font-size: 20px;
                    font-weight: 500;
                    width: 30%;
                    text-transform: uppercase;
                }

                .img-text-paragraph {
                    font-size: 16px;
                    font-weight: 400;
                    width: 70%;
                }
            }
        }
    }

}

/* Properties Section End */

/* Why we are best Section */

.best-section {

    .play-div {
        height: 470px;
    }

    .play-icon {
        width: 60px;
        height: 60px;
        backdrop-filter: blur(10px);
        border-radius: 20px;
        border: 2px solid #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;

        img {
            width: 20px;
            height: 20px;
        }
    }

    .img-text-title {
        font-size: 20px;
    }

    .best-div {
        display: flex;
        flex-direction: column;
        align-items: center;

        p {
            font-size: 16px;
            font-weight: 500;
            text-align: center;
        }

        .client-title,
        .client-designation {
            font-size: 14px;
            font-weight: 400;
        }

        .client-designation {
            color: #71717A;
        }
    }
}

/* Why we are best Section End */

/* why we are best Section - 2 */

.best-section-2 {

    .img-text {
        left: 20px;
    }

    .prop-title {
        font-size: 18px;
        margin-bottom: 0;
    }

    .prop-sub-title {
        font-size: 14px;
        font-weight: 400;
        color: #e2e2e2;
    }
}

/* why we are best Section - 2 End */

/* Contact Section Start */

.contact-section input {

    height: 50px;
    border: 1px solid #AB8E68;

    &:focus {
        border: 1px solid #AB8E68;
    }

    &::placeholder {
        font-size: 14px;
    }
}

.contact-section .section-paragraph {
    font-size: 16px;
}

.contact-section .swiper-container {
    width: 100%;
    overflow: hidden;
    padding-bottom: 20px;
}

.contact-section .swiper-slide {
    display: flex;
    flex-direction: column;
    height: auto;
    border-radius: 10px;
    transition: transform 0.3s ease;
    height: 350px;
}

.contact-section .swiper-slide img {
    width: 100%;
    height: 75%;
    object-fit: cover;
    border-radius: 5px;
    /* Rounded corners only on the top */
}

.contact-section .slide-caption {
    padding: 15px;
    text-align: left;
    background-color: #fff;
    border-radius: 0 0 8px 8px;
    /* Rounded corners only on the bottom */
}

.contact-section .slide-caption h5,
.contact-section .slide-caption p,
.contact-section .slide-caption span {
    color: #333;
    margin: 0;
}

.contact-section .slide-caption span {
    font-size: 16px;
    font-weight: 400;
    margin-top: 15px;
    display: block;
    color: #AB8E68;
}

/* ============================================ */
/* --------------- Services Page -------------- */
/* ============================================ */

.services {
    .services-section {

        .service-title {
            font-size: 52px;
            font-weight: 400;
        }

        .service-logo {
            background-color: #AB8E68;
            padding: 10px;
            border-radius: 5px;
            width: fit-content;
        }

        .service-row {

            .service-img {
                height: 400px;
            }

            img {
                height: 100%;
                width: 100%;
                object-fit: cover;
                --f: 1.15;
                /* the scale factor */

                clip-path: inset(0);
                transition: .4s;

                &:hover {
                    clip-path: inset(calc((1 - 1/var(--f)) * 50%));
                    scale: var(--f)
                }
            }

            .service-content {
                height: 400px;
            }

            h2 {
                font-size: 32px;
                font-weight: 400;
            }

            p {
                font-size: 18px;
                font-weight: 300;
                line-height: 1.7;
            }

            a {
                width: fit-content;
            }
        }
    }

    .properties-section {
        
        .section-paragraph {
            color: #fff;
        }

        .property-card {
            height: 525px;

            .property-img {
                height: 75%;

                img {
                    height: 100%;
                    width: 100%;
                    object-fit: cover;

                    --f: 1.15;
                    /* the scale factor */

                    clip-path: inset(0);
                    transition: .4s;

                    &:hover {
                        clip-path: inset(calc((1 - 1/var(--f)) * 50%));
                        scale: var(--f)
                    }
                }
            }

            .property-content {
                height: 25%;
                text-align: center;
                padding: 10px 0;

                .property-title {
                    color: #AB8E68;
                    font-size: 24px;
                    font-weight: 500;
                }

                .property-paragraph {
                    color: #e7e7e7;
                    font-size: 16px;
                    font-weight: 400;
                }
            }
        }
    }

    .who-we-are-section {
        height: fit-content;

        .img-div {
            height: 300px;
        }
    }

    .content-div {
        padding: 0 25px 0 100px;
    }

    .who-title {
        font-size: 52px;
        font-weight: 500;
        line-height: 60px;
    }

    .titles {

        h3 {
            font-size: 24px;
            font-weight: 400;
            color: #AB8E68;

        }

        .bullets {
            background-color: #AB8E68;
            color: #fff;
        }
    }

    .ready-section {
        .swiper-slide {
            height: 500px;

            img {
                height: 100%;
                width: 100%;
                object-fit: cover;
            }
        }
    }
}

/* ============================================ */
/* --------------- Contact Page -------------- */
/* ============================================ */

.contact {
    .contact-section {
        .contact-title {
            font-size: 46px;
            font-weight: 400;

            span {
                color: #AB8E68;
            }
        }

        form {
            
            .form-group{
                margin-bottom:20px;
            }

            input,
            textarea {
                width: 100%;
                height: 50px;
                border-left: 0;
                border-right: 0;
                border-top: 0;
                border-bottom: 1px solid #AB8E68;
                border-radius: 0;
                padding: 0 15px;
            }

            .form-control:focus {
                outline: 0;
                box-shadow: none;
            }

            .custom-file-upload {
                border: 2px dashed #d3d3d3;
                padding: 20px;
                text-align: center;
                border-radius: 5px;
                position: relative;
            }

            .custom-file-upload input[type="file"] {
                position: absolute;
                opacity: 0;
                width: 100%;
                height: 100%;
                cursor: pointer;
            }

            .custom-file-upload label {
                display: inline-block;
                font-size: 16px;
                color: #333;
                cursor: pointer;
            }

            .custom-file-upload .upload-icon {
                font-size: 24px;
                display: block;
                color: #666;
                margin-bottom: 8px;
            }

            .custom-file-upload .file-note {
                display: block;
                font-size: 12px;
                color: #777;
                margin-top: 10px;
            }

            .file-preview {
                margin-top: 10px;
                font-size: 14px;
                color: #333;
            }

            .file-preview img {
                display: block;
                border: 1px solid #ccc;
                border-radius: 4px;
                margin-top: 5px;
            }

            .form-check-input {
                width: 20px;
                height: 20px;
                background-color: transparent;
                color: #fff;
                border: 1px solid #AB8E68;
                border-radius: 4px;
                font-size: 16px;
                cursor: pointer;
                padding: 0;
            }

            .form-check-input:checked {
                background-color: #AB8E68;
            }

            button {
                width: 100%;
                height: 50px;
                background-color: #AB8E68;
                color: #fff;
                border: none;
                border-radius: 10px;
                font-size: 18px;
                cursor: pointer;
                text-transform: uppercase;

                &:hover {
                    background-color: #987342;
                }
            }


        }

        .contact-info {
            box-shadow: 0px 0px 5px 0px #777777;
            padding: 20px;
            background-color: #AB8E68;
            color: #fff;
            
            img {
                width: 40px;
                height: 40px;
            }
        }

        .contact-map iframe {
            height: 100%;
            width: 100%;
        }
    }
}

#loader {
    display: none;
}

#loader>div {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9999;
}

.loader-large {
    width: 5rem;
    height: 5rem;
}

        
/* Modal styles */
#responseModal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    z-index: 9999;
}
#responseModal>div {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1001;
    width: 80%;
    max-width: 400px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    overflow: hidden;
}
#responseModal .modal-header {
    background: #AB8E68;
    color: #fff;
    padding: 15px;
    font-size: 18px;
}
#responseModal .modal-body {
    padding: 20px;
    font-size: 16px;
    color: #333;
}
#responseModal .modal-footer {
    text-align: right;
    padding: 10px;
    background: #f1f1f1;
}
#responseModal .close-btn {
    background: #AB8E68;
    color: #fff;
    padding: 8px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}